<p align="center">
  <br/>
  <a href="https://opensource.org/licenses/MIT"><img src="https://img.shields.io/badge/license-MIT-green.svg?color=3F51B5&style=for-the-badge&label=License&logoColor=000000&labelColor=ececec" alt="License: MIT"></a>
  <a href="https://discord.gg/D8JsnBEuKb">
    <img src="https://img.shields.io/discord/979116623879368755.svg?label=Discord&logo=Discord&style=for-the-badge&logoColor=000000&labelColor=ececec" atl="Discord"/>
  </a>
  <br/>
  <br/>
</p>

<p align="center">
<img src="design/immich-logo.svg" width="150" title="Login With Custom URL">
</p>
<h3 align="center">Immich - 高性能なセルフホスト 写真/ビデオバックアップソリューション</h3>
<br/>
<a href="https://immich.app">
<img src="design/immich-screenshots.png" title="Main Screenshot">
</a>
<br/>
<p align="center">
  <a href="README.md">English</a>
  <a href="README_ca_ES.md">Català</a>
  <a href="README_es_ES.md">Español</a>
  <a href="README_fr_FR.md">Français</a>
  <a href="README_it_IT.md">Italiano</a>
  <a href="README_ko_KR.md">한국어</a>
  <a href="README_de_DE.md">Deutsch</a>
  <a href="README_nl_NL.md">Nederlands</a>
  <a href="README_tr_TR.md">Türkçe</a>
  <a href="README_zh_CN.md">中文</a>
</p>

## 免責事項

- ⚠️ このプロジェクトは **非常に活発に** 開発中です。
- ⚠️ バグの存在や変更が入ることも予想されます。
- ⚠️ **写真やビデオを保存する唯一の方法としてこのアプリを使用しないでください。**
- ⚠️ 大切な写真やビデオは、常に [3-2-1](https://www.backblaze.com/blog/the-3-2-1-backup-strategy/) のバックアッププランに従ってください！

## コンテンツ

- [公式ドキュメント](https://immich.app/docs)
- [ロードマップ](https://github.com/orgs/immich-app/projects/1)
- [デモ](#デモ)
- [機能](#機能)
- [紹介](https://immich.app/docs/overview/introduction)
- [インストール](https://immich.app/docs/install/requirements)
- [コントリビューションガイド](https://immich.app/docs/overview/support-the-project)
- [プロジェクトのサポート](#プロジェクトのサポート)

## ドキュメント

インストールガイドを含む主なドキュメントは、https://immich.app/ です。

## デモ

web デモは https://demo.immich.app からアクセスできます

モバイルアプリの場合、`Server Endpoint URL` には `https://demo.immich.app/api` を使用することができます

```bash title="Demo Credential"
The credential
email: demo@immich.app
password: demo
```

```
Spec: Free-tier Oracle VM - Amsterdam - 2.4Ghz quad-core ARM64 CPU, 24GB RAM
```

# 機能

| 機能                                        | モバイル | Web |
| ------------------------------------------- | ------ | --- |
| ビデオや写真のアップロードと表示                 | はい    | はい |
| アプリを開いたとき自動バックアップ               | はい    | N/A |
| バックアップ用アルバム選択                      | はい    | N/A |
| 写真やビデオをローカルデバイスにダウンロード       | はい    | はい |
| マルチユーザー対応                             | はい    | はい |
| アルバムと共有アルバム                         | はい    | はい |
| スクラブ可能/ドラッグ可能スクロールバ            | はい    | はい |
| 生のフォーマットに対応                         | はい    | はい |
| メタデータ表示（EXIF、地図）                   | はい    | はい |
| メタデータ、オブジェクト、フェース、CLIPによる検索 | はい    | はい |
| 管理機能（ユーザー管理）                       | いいえ     | はい |
| バックグラウンドバックアップ                    | はい    | N/A |
| 仮想スクロール                                | はい    | はい |
| OAuth サポート                               | はい    | はい |
| API キー                                    | N/A    | はい |
| LivePhoto のバックアップと再生                | iOS    | はい |
| ユーザー定義のストレージ構造                   | はい    | はい |
| 公開シェアリング                             | いいえ     | はい |
| アーカイブとお気に入り                        | はい    | はい |
| グローバルマップ                             | はい    | はい |
| パートナー共有                               | はい    | はい |
| 思い出（x 年前）顔認識とクラスタリング           | はい    | はい |
| 思い出（x 年前）                             | はい    | はい |
| オフラインサポート                            | はい    | いいえ  |
| 読み取り専用ギャラリー                        | はい    | はい |

# プロジェクトのサポート

私はこのプロジェクトにコミットしてきました。ドキュメントを更新し、新しい機能を追加し、バグを修正し続けるつもりですが、私ひとりではできません。だから、続けるためのモチベーションをさらに高めてくれる皆さんの助けが必要なのです。

[selfhosted.show - In the episode 'The-organization-must-いいえt-be-name is a Hostile Actor'](https://selfhosted.show/79?t=1418) のホストが言ったように、これはチームと私がやっていることの大規模な事業だ。そしていつの日か、フルタイムでこの仕事ができるようになりたいと思っています。

もし、あなたがこのプロジェクトに賛同し、このアプリを長く使い続けたいと思われるのであれば、以下のオプションから支援をご検討ください。

## 寄付

- GitHub スポンサー経由の[毎月の寄付](https://github.com/sponsors/alextran1502)
- GitHub スポンサー経由の[一回寄付](https://github.com/sponsors/alextran1502?frequency=one-time&sponsor=alextran1502)
- [Librepay](https://liberapay.com/alex.tran1502/)
- [buymeacoffee](https://www.buymeacoffee.com/altran1502)
- Bitcoin: 1FvEp6P6NM8EZEkpGUFAN2LqJ1gxusNxZX
