<p align="center"> 
  <br/>  
  <a href="https://opensource.org/licenses/MIT"><img src="https://img.shields.io/badge/license-MIT-green.svg?color=3F51B5&style=for-the-badge&label=License&logoColor=000000&labelColor=ececec" alt="License: MIT"></a>
  <a href="https://discord.gg/D8JsnBEuKb">
    <img src="https://img.shields.io/discord/979116623879368755.svg?label=Discord&logo=Discord&style=for-the-badge&logoColor=000000&labelColor=ececec" atl="Discord"/>
  </a>
  <br/>  
  <br/>   
</p>

<p align="center">
<img src="design/immich-logo.svg" width="150" title="Login With Custom URL">
</p>
<h3 align="center">Immich - 高性能的自托管照片和视频备份方案</h3>
<p align="center">  
请注意: 此 README 不是由 Immich 团队维护, 而是依靠贡献者来更新的，这意味着它可能并不会被及时更新。感谢理解。
</p>
<br/>
<a href="https://immich.app">
<img src="design/immich-screenshots.png" title="Main Screenshot">
</a>
<br/>

<p align="center">
  <a href="README.md">English</a>
  <a href="README_ca_ES.md">Català</a>
  <a href="README_es_ES.md">Español</a>
  <a href="README_fr_FR.md">Français</a>
  <a href="README_it_IT.md">Italiano</a>
  <a href="README_ja_JP.md">日本語</a>
  <a href="README_ko_KR.md">한국어</a>
  <a href="README_de_DE.md">Deutsch</a>
  <a href="README_nl_NL.md">Nederlands</a>
  <a href="README_tr_TR.md">Türkçe</a>
</p>

## 免责声明

- ⚠️ 本项目正在 **非常活跃** 地开发中。
- ⚠️ 可能存在 bug 或者随时有重大变更。
- ⚠️ **不要把本软件作为您存储照片或视频的唯一方式。**
- ⚠️ 为了您宝贵的照片与视频，始终遵守 [3-2-1](https://www.backblaze.com/blog/the-3-2-1-backup-strategy/) 备份方案！

## 目录

- [官方文档](https://immich.app/docs)
- [路线图](https://github.com/orgs/immich-app/projects/1)
- [示例](#示例)
- [功能特性](#功能特性)
- [介绍](https://immich.app/docs/overview/introduction)
- [安装](https://immich.app/docs/install/requirements)
- [贡献指南](https://immich.app/docs/overview/support-the-project)
- [支持本项目](#支持本项目)

## 官方文档

您可以在 https://immich.app/ 找到官方文档（包含安装手册）。

## 示例

您可以在 https://demo.immich.app  访问示例。

在移动端, 您可以使用 `https://demo.immich.app/api` 获取 `服务终端链接`

```bash title="示例认证信息"
认证信息
邮箱: demo@immich.app
密码: demo
```

```
规格: 甲骨文免费虚拟机套餐——阿姆斯特丹 4核 2.4Ghz ARM64 CPU, 24GB RAM。
```

# 功能特性

| 功能特性                                     | 移动端  | 网页端 |
| ------------------------------------------- | ------- | --- |
| 上传并查看照片和视频                         | 是     | 是 |
| 软件运行时自动备份                           | 是     | N/A |
| 选择需要备份的相册          | 是     | N/A |
| 下载照片和视频到本地        | 是     | 是 |
| 多用户支持                          | 是     | 是 |
| 相册                                       | 是     | 是 |
| 共享相册                               | 是     | 是 |
| 可拖动的快速导航栏   | 是     | 是 |
| 支持RAW格式 (HEIC, HEIF, DNG, Apple ProRaw) | 是     | 是 |
| 元数据视图（EXIF, 地图）                   | 是     | 是 |
| 通过元数据、对象和标签进行搜索  | 是     | 是  |
| 管理功能（用户管理）  | 否     | 是 |
| 后台备份                         | 是 | N/A |
| 虚拟滚动                             | 是     | 是 |
| OAuth 支持                               | 是     | 是 |
| API Keys|N/A|是|
| 实况照片备份和查看   | 仅 iOS     | 是 |
|用户自定义存储结构|是|是|
|公共分享|否|是|
|归档与收藏功能|是|是|
|全局地图|否|是|
|好友分享|是|是|
|人像识别与分组|是|是|
|回忆（那年今日）|是|是|
|离线支持|是|否|
|只读相册|是|是|

# 支持本项目

我已经致力于本项目并且将我会持续更新文档、新增功能和修复问题。但是独木不成林，我需要您给予我坚持下去的动力。

就像我在 [selfhosted.show - In the episode 'The-organization-must-not-be-name is a Hostile Actor'](https://selfhosted.show/79?t=1418) 节目里说的一样,这是我和团队的一项艰巨任务。并且我希望某一天我能够全职开发本项目，在此我请求您能够助我梦想成真。

如果您使用了本项目一段时间，并且觉得上面的话有道理，那么请您考虑通过下列任一方式支持我吧。

## 捐赠

- 通过 GitHub Sponsors [按月捐赠](https://github.com/sponsors/alextran1502)
- 通过 Github Sponsors [单次捐赠](https://github.com/sponsors/alextran1502?frequency=one-time&sponsor=alextran1502)
- [Librepay](https://liberapay.com/alex.tran1502/)
- [buymeacoffee](https://www.buymeacoffee.com/altran1502)
- 比特币: 1FvEp6P6NM8EZEkpGUFAN2LqJ1gxusNxZX
